### A free/open-source library for quantitative finance

Public Member Functions
CompositeQuote< BinaryFunction > Class Template Reference

market element whose value depends on two other market element More...

`#include <ql/quotes/compositequote.hpp>`

Inheritance diagram for CompositeQuote< BinaryFunction >:
[legend]

List of all members.

## Public Member Functions

| CompositeQuote (const Handle< Quote > &element1, const Handle< Quote > &element2, const BinaryFunction &f)
inspectors
Real | value1 () const
Real | value2 () const
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Observer interface
void | update ()

## Detailed Description

### template<class BinaryFunction>
class QuantLib::CompositeQuote< BinaryFunction >

market element whose value depends on two other market element

Tests:
  the correctness of the returned values is tested by checking them against numerical calculations.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.